@charset "UTF-8";

:root {
  interpolate-size: allow-keywords;
  --bl: #000;
  --gray-02: #ccc;
  --grad-01: linear-gradient(90deg, var(--MAIN) 0%, var(--ACC) 100%);
  --grad-01-rev: linear-gradient(0deg, var(--MAIN) 0%, var(--LMAIN) 100%);
  --grad-02: linear-gradient(90deg, var(--ACC) 0%, var(--LACC) 100%);
  --grad-02-rev: linear-gradient(0deg, var(--ACC) 0%, var(--LACC) 100%);
  --grad-03: linear-gradient(90deg, var(--OTH) 0%, var(--LOTH) 100%);
  --grad-03-rev: linear-gradient(0deg, var(--OTH) 0%, var(--LOTH) 100%);
  --transition: all 0.3s ease-in-out;
  --oversize: calc((100% - 100vw) / 2);
}

/* ==================================
リセット・調整・ファンデーション
===================================== */
/* 高さを画像自体の高さにする */
:where(img) {
  vertical-align: bottom;
}
:where(.thumb),
:where([class*="__thumb"]) {
  vertical-align: bottom;
  background-color: unset;
}

/*---------- アクセシビリティ ----------*/
/* アイコンをスクリーンリーダーに読み上げられないようにする */
i,
[class*="material-icons"],
[class*="material-symbols"] {
  speak: none;
}

/*---------- BMパーツの調整 ----------*/
/* 疑似要素の削除 */
.no-before::before,
.no-after::after {
  content: unset !important;
}

/* スクロールした後のヘッダーのボタンの高さが変わるときにイージング */
.lib-induce__outer li:has(.lib-induce__btn) {
  transition: all 0.2s;
}

/* ボタンのアイコンを「→」に変更 */
/* :where(.lib-link__btn):not([class*="ico-after-"]):not([class*="ico-before-"]) > .txt::after {
  content: "\ea03";
  font-size: 1em;
} */

/* ボタンのアイコンに●の背景色を入れる */
/* :where(.lib-link__btn):not([class*="ico-after-"]):not([class*="ico-before-"]) {
   > .txt::after {
    color: var(--MAIN);
    background-color: var(--WHT);
    padding: 0.5em;
    border-radius: 50%;
    margin-top: -0.875em;
    line-height: 1;
    font-size: 0.675em;
    transition: var(--transition);
  }
  &:hover > .txt::after {
    color: var(--WHT);
    background-color: var(--MAIN);
  }
  &.bg-wht > .txt::after {
    color: var(--WHT);
    background-color: var(--MAIN);
  }
  &.bg-wht:hover > .txt::after {
    color: var(--MAIN);
    background-color: var(--WHT);
  }
  &.border-accent > .txt::after {
    color: var(--ACC);
  }
  &.border-accent:hover > .txt::after {
    color: var(--WHT);
    background-color: var(--ACC);
  }
  &.border-accent.bg-wht > .txt::after {
    color: var(--WHT);
    background-color: var(--ACC);
  }
  &.border-accent.bg-wht:hover > .txt::after {
    color: var(--ACC);
    background-color: var(--WHT);
  }
  &.border-def > .txt::after {
    color: var(--DEF);
  }
  &.border-def:hover > .txt::after {
    color: var(--WHT);
    background-color: var(--DEF);
  }
} */

/*---------- BMパーツのパターン増設 ----------*/
/* ①②③...のリストマーカー */
:where(.lib-indent__list).--circle > li::before {
  content: counter(ol-bullet);
  text-align: center;
  border: 1px solid var(--DEF);
  border-radius: 50%;
  font-size: 0.75em;
  line-height: 1;
  width: 1.5em;
  height: 1.5em;
  aspect-ratio: 1/1;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 0.4%;
  /* margin-top: 2px; */
}

/* ※のリストマーカー */
:where(.lib-indent__list).--asterisk {
  > li {
    padding-left: 1.8em;
    position: relative;
  }
  > li::before {
    /* counter-increment: ol-bullet; */
    content: "※";
    display: block;
    width: 2em;
    text-align: center;
    text-align: right;
    position: absolute;
    left: 0;
    top: 0;
    padding-right: 0.5em;
  }
}

/* 「―」（横線）のリストマーカー */
:where(.lib-indent__list).--line {
  > li {
    position: relative;
    padding-left: 2em;
  }
  > li::before {
    content: "―";
    position: absolute;
    top: 0;
    left: 0;
  }
}

/* table 罫線パターン */
:where(table).--border {
  > thead,
  th {
    background-color: unset;
  }
  > thead th:first-child {
    border-left-color: var(--GRY);
  }
  > thead th:last-child {
    border-right-color: var(--GRY);
  }
  th,
  td {
    border: unset;
    border: 1px solid var(--GRY);
  }
  th {
    color: var(--DEF);
  }
  tbody > tr > th:first-child {
    border-left-color: var(--GRY);
  }
}

/* table 下線パターン */
:where(table).--border-bottom {
  border: unset;
  th,
  > thead {
    background-color: unset;
  }
  th,
  td {
    border: unset;
    border-bottom: 1px solid var(--GRY);
  }
  th {
    color: var(--DEF);
    @media print, screen and (max-width: 767px) {
      border-top: 1px solid var(--DGRY);
      margin-top: -1px;
    }
  }
  &.--even tbody > tr:nth-child(even) > th {
    background-color: var(--LGRY);
  }
}

/* table 下線パターン2 見出しセルの下線はメインカラー */
:where(table).--border-bottom-main {
  border: unset;
  th,
  > thead {
    background-color: unset;
  }
  th,
  td {
    border: unset;
    border-bottom: 1px solid var(--GRY);
  }
  th {
    color: var(--DEF);
    border-bottom: 1px solid var(--MAIN);
    @media print, screen and (max-width: 767px) {
      border-top: 1px solid var(--MAIN);
      border-bottom: 1px solid var(--GRY);
      margin-top: -1px;
    }
  }
  &.--even tbody > tr:nth-child(even) > th {
    background-color: var(--LGRY);
  }
}

/* 見出し"列"だけグレー */
:where(table.--gry) tbody > tr > th {
  background-color: var(--GRY);
  color: var(--DEF);
}
:where(table.--gry) tbody > tr > th:first-child {
  border-left-color: var(--GRY);
}

/* table .lib-table__03に少し余白を入れる */
:where(.lib-table__03).--padding {
  --cell-padding: 0.5em;
  td,
  th {
    padding: var(--cell-padding);
  }
}

/* メディアのスライダーをリストにする */
/* swiper用のclassを削除or無効にした上で利用 */
.lib-blog-001.--list {
  .swiper-wrapper {
    flex-direction: column;
    .swiper-slide {
      width: 100%;
    }
  }
  .lib-media__thumb,
  .lib-media__tag,
  .lib-swiper__control,
  .lib-media__txt {
    display: none;
  }
  .lib-media__txtarea {
    display: flex;
    flex-direction: column;
    gap: 0.25em 1em;
    padding-bottom: 1em;
    border-bottom: 1px solid var(--GRY);
    @media print, screen and (min-width: 992px) {
      flex-direction: row;
      align-items: center;
    }
    .lib-media__category {
      order: 2;
    }
    .lib-media__title {
      order: 3;
    }
    .lib-media__txt {
      order: 4;
    }
    .lib-media__time {
      order: 1;
      align-items: flex-start;
      margin-top: 0;
      padding-top: 0;
      border-top: unset;
      min-height: unset;
      @media print, screen and (min-width: 992px) {
        text-wrap: nowrap;
      }
    }
  }
}
/* 「記事公開日」のみ表示させる
   （「記事更新日」を非表示） */
.lib-blog-001.--list {
  .lib-media__time:has(p + p) p:nth-of-type(2),
  .lib-media__time:has(p + p) p span {
    display: none;
  }
}

/*---------- Swiper ----------*/
/* 滑らかに */
.u-swiper-liner .swiper-wrapper {
  -webkit-transition-timing-function: linear !important;
  -o-transition-timing-function: linear !important;
  transition-timing-function: linear !important;
}

/* メディアの一覧ページを3カラムにする
   （15em=240px以下にしないようにする） */
/* .media-post__list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(15em, 1fr));
  grid-template-columns: repeat(auto-fill, minmax(15em, 1fr));
  gap: 1em;
  .media-post__item {
    margin-top: 0;
    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 2;
  }
  .media-post__thumb {
    height: auto;
    grid-row: 1/2;
    @media print, screen and (min-width: 768px) {
      width: 100%;
    }
    img {
      object-fit: cover;
      aspect-ratio: 16/9;
    }
  }
  .media-post__inside {
    grid-row: 2/3;
    @media print, screen and (min-width: 768px) {
      padding-left: 0;
    }
    .media-post__chip {
      @media print, screen and (min-width: 768px) {
        margin-top: 0;
      }
    }
  }
} */

/* ==================================
タイポ
===================================== */
/*---------- font（日本語フォントが打ち消される場合に使用） ----------*/
/* @font-face{
	font-family: "Avenir"; ←任意の文字で書く
	src: url('../../dcms_media/fonts/webFonts/Avenir35Light/font.woff2') format('woff2');
	src: url('../../dcms_media/fonts/webFonts/Avenir35Light/font.woff') format('woff');
	font-weight: 300; ←読み込むフォントのデータに合わせてweight設定する（woffデータの中にweightがすべてそろっていれば記載不要）
	unicode-range: U+0030-0039, U+0041-005A, U+0061-007A, U+0021, U+003F, U+0026, U+0025, U+002C, U+002E; ←英数字 + ! ? & % , . を含める
} */
 /*↑↑↑必要に応じて記載変更↑↑↑↑*/


/* ゴシックとか */
.ff-notosans {
  font-family: "Noto Sans JP", serif;
}
.ff-lato {
  font-family: "Lato", sans-serif;
  /* letter-spacing: 0.05rem; */
}
.ff-oswald {
  font-family: "Oswald", sans-serif;
}
.ff-poppins {
  font-family: "Poppins", sans-serif;
}
.ff-zenmarugo {
  font-family: "Zen Maru Gothic", sans-serif;
}
.ff-zenkakugo {
  font-family: "Zen Kaku Gothic New", sans-serif;
}
.ff-montserrat {
  font-family: "Montserrat", sans-serif;
}
.ff-staatliches {
  font-family: "Staatliches", sans-serif;
}
.ff-m-plus-rounded-1c {
  font-family: "M PLUS Rounded 1c", sans-serif;
  transform: rotate(0.07deg);
}
.ff-inter {
  font-family: "Inter", sans-serif;
}
/* 明朝とか */
.ff-notoserif {
  font-family: "Noto Serif JP", serif;
}
.ff-yumincho {
  font-family: "Yu Mincho", "YuMincho", serif;
}
.ff-shippori {
  font-family: "Shippori Mincho", serif;
}
.ff-shippori-b1 {
  font-family: "Shippori Mincho B1", serif;
}

/* font-weight */
.fw-600 {
  font-weight: 600 !important;
}
.fw-800 {
  font-weight: 800 !important;
}
.fw-900 {
  font-weight: 900 !important;
}

/* font-size */
.fs-50 {
  font-size: 3.125rem;
}
@media print, screen and (min-width: 768px) {
  .fs-md-50 {
    font-size: 3.125rem;
  }
  .fs-md-60 {
    font-size: 3.75rem;
  }
}
@media print, screen and (min-width: 992px) {
  .fs-lg-60 {
    font-size: 3.75rem;
  }
  .fs-lg-70 {
    font-size: 4.375rem;
  }
  .fs-lg-80 {
    font-size: 5rem;
  }
}


/* 縦書き */
.vertical-rl {
  writing-mode: vertical-rl;
}

/* 袋文字 */
.text-hukuro {
  /* -webkit-text-stroke: 2px var(--bl);
     text-stroke: 2px var(--bl); */
  text-shadow: 2px 2px 1px var(--bl), -2px 2px 1px var(--bl), 2px -2px 1px var(--bl), -2px -2px 1px var(--bl), 2px 0px 1px var(--bl), 0px 2px 1px var(--bl), -2px 0px 1px var(--bl),
    0px -2px 1px var(--bl);
}
.text-hukuro-wht {
  /* -webkit-text-stroke: 2px var(--WHT);
     text-stroke: 2px var(--WHT); */
  text-shadow: 2px 2px 1px var(--WHT), -2px 2px 1px var(--WHT), 2px -2px 1px var(--WHT), -2px -2px 1px var(--WHT), 2px 0px 1px var(--WHT), 0px 2px 1px var(--WHT), -2px 0px 1px var(--WHT),
    0px -2px 1px var(--WHT);
}

/* ==================================
テキストシャドウ
===================================== */
.text-shadow {
  text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.4);
}


/* box-decoration-break */
.decoration-break {
  box-decoration-break: clone;
  -webkit-box-decoration-break: clone;
}

/* マーカーのあしらい */
mark {
  background: linear-gradient(transparent 60%, yellow 60%);
}

/* グラデーション */
.text-grad {
  -webkit-background-clip: text !important;
  -webkit-text-fill-color: transparent !important;
  display: inline-block;
}
.bg-grad-01 {
  background: var(--grad-01);
}
/* クラス名に "__btn" が含まれる要素に対して指定 */
[class*="__btn"].bg-grad-01 {
  border: none;
}
[class*="__btn"].bg-grad-01:hover {
  color: var(--WHT);
  opacity: .6;
}
.--grad-img::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  background: var(--grad-01);
}

/* ==================================
ユーティリティー
===================================== */
/*---------- 画像の比率 ----------*/
.u-aspect {
  /* 縦横比はstyleでCSS変数を書き換える
     ex) style="--aspect: 2.51 / 1;" */
  --aspect: auto;
  @media print, screen and (min-width: 576px) {
    --aspect-sm: var(--aspect);
  }
  @media print, screen and (min-width: 768px) {
    --aspect-md: var(--aspect-sm);
  }
  @media print, screen and (min-width: 992px) {
    --aspect-lg: var(--aspect-md);
  }
  @media print, screen and (min-width: 1200px) {
    --aspect-xl: var(--aspect-lg);
  }
  @media print, screen and (min-width: 1400px) {
    --aspect-xxl: var(--aspect-xl);
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: var(--aspect);
    @media print, screen and (min-width: 576px) {
      aspect-ratio: var(--aspect-sm);
    }
    @media print, screen and (min-width: 768px) {
      aspect-ratio: var(--aspect-md);
    }
    @media print, screen and (min-width: 992px) {
      aspect-ratio: var(--aspect-lg);
    }
    @media print, screen and (min-width: 1200px) {
      aspect-ratio: var(--aspect-xl);
    }
    @media print, screen and (min-width: 1400px) {
      aspect-ratio: var(--aspect-xxl);
    }
  }

  &.--4x3 img {
    aspect-ratio: 4 / 3;
  }
  &.--3x2 img {
    aspect-ratio: 3 / 2;
  }
  &.--16x9 img {
    aspect-ratio: 16 / 9;
  }
  &.--21x9 img {
    aspect-ratio: 21 / 9;
  }
  &.--1x1 img {
    aspect-ratio: 1 / 1;
  }
  &.--2x1 img {
    aspect-ratio: 2 / 1;
  }
  &.--3x1 img {
    aspect-ratio: 3 / 1;
  }
  &.--4x1 img {
    aspect-ratio: 4 / 1;
  }
  &.--7x8 img {
    aspect-ratio: 7 / 8;
  }
  &.--9x16 img {
    aspect-ratio: 9 / 16;
  }
  &.--2x3 img {
    aspect-ratio: 2 / 3;
  }
  &.--3x4 img {
    aspect-ratio: 3 / 4;
  }

  /* 画像全体を枠内に入れたいとき */
  &.--contain img,
  .--contain img {
    object-fit: contain;
  }
}

/*---------- 角丸 ----------*/
[class*="u-rounded"] {
  overflow: clip;
  &.--img {
    border-radius: 0 !important;
    img {
      border-radius: inherit;
    }
  &.u-rounded-_25  img { border-radius: 0.25rem !important; }
  &.u-rounded-_5   img { border-radius: 0.5rem !important; }
  &.u-rounded-_75  img { border-radius: 0.75rem !important; }
  &.u-rounded-1    img { border-radius: 1rem !important; }
  &.u-rounded-1_25 img { border-radius: 1.25rem !important; }
  &.u-rounded-1_5  img { border-radius: 1.5rem !important; }
  &.u-rounded-2    img { border-radius: 2rem !important; }
  &.u-rounded-3    img { border-radius: 3rem !important; }
  &.--round-top img    { border-bottom-right-radius: 0 !important; border-bottom-left-radius: 0 !important; }
  &.--round-bottom img { border-top-right-radius: 0 !important; border-top-left-radius: 0 !important; }
  &.--round-right img  { border-top-left-radius: 0 !important; border-bottom-left-radius: 0 !important; }
  &.--round-left img   { border-top-right-radius: 0 !important; border-bottom-right-radius: 0 !important; }
  &.--round-trans-up img   { border-top-left-radius: 0 !important; border-bottom-right-radius: 0 !important; }
  &.--round-trans-down img { border-top-right-radius: 0 !important; border-bottom-left-radius: 0 !important; }
  }
}
.u-rounded {
  --round: 0.625em;
  border-radius: var(--round);
  @media print, screen and (min-width: 576px) {
    --round-sm: var(--round);
    border-radius: var(--round-sm);
  }
  @media print, screen and (min-width: 768px) {
    --round-md: var(--round-sm);
    border-radius: var(--round-md);
  }
  @media print, screen and (min-width: 992px) {
    --round-lg: var(--round-md);
    border-radius: var(--round-lg);
  }
  @media print, screen and (min-width: 1200px) {
    --round-xl: var(--round-lg);
    border-radius: var(--round-xl);
  }
  @media print, screen and (min-width: 1400px) {
    --round-xxl: var(--round-xl);
    border-radius: var(--round-xxl);
  }
}

.u-rounded-_25 {
  border-radius: 0.25rem !important;
}
.u-rounded-_5 {
  border-radius: 0.5rem !important;
}
.u-rounded-_75 {
  border-radius: 0.75rem !important;
}
.u-rounded-1 {
  border-radius: 1rem !important;
}
.u-rounded-1_5 {
  border-radius: 1.5rem !important;
}
.u-rounded-1_25 {
  border-radius: 1.25rem !important;
}
.u-rounded-2 {
  border-radius: 2rem !important;
}
.u-rounded-3 {
  border-radius: 3rem !important;
}

.--round-top {
  border-bottom-right-radius: unset !important;
  border-bottom-left-radius: unset !important;
}
.--round-bottom {
  border-top-right-radius: unset !important;
  border-top-left-radius: unset !important;
}
.--round-right {
  border-top-left-radius: unset !important;
  border-bottom-left-radius: unset !important;
}
.--round-left {
  border-top-right-radius: unset !important;
  border-bottom-right-radius: unset !important;
}
.--round-trans-up {
  border-top-left-radius: unset !important;
  border-bottom-right-radius: unset !important;
}
.--round-trans-down {
  border-top-right-radius: unset !important;
  border-bottom-left-radius: unset !important;
}

/*---------- はみ出させる ----------*/
.u-over {
  margin-inline: var(--oversize);
}
/* 右に */
.u-r-over {
  margin-right: var(--oversize);
}
@media print, screen and (min-width: 768px) {
  .u-r-md-over {
    margin-right: var(--oversize);
  }
}
@media print, screen and (min-width: 992px) {
  .u-r-lg-over {
    margin-right: var(--oversize);
  }
}
/* 左に */
.u-l-over {
  margin-left: var(--oversize);
}
@media print, screen and (min-width: 768px) {
  .u-l-md-over {
    margin-left: var(--oversize);
  }
}
@media print, screen and (min-width: 992px) {
  .u-l-lg-over {
    margin-left: var(--oversize);
  }
}

.u-l-over-50vw {
  width: 50vw;
  margin-left: calc((50vw - 50%) * -1);
}
.u-r-over-50vw {
  width: 50vw;
  margin-right: -50vw;
}
@media print, screen and (min-width: 768px) {
  .u-l-over-50vw-md {
    width: 50vw;
    margin-left: calc((50vw - 50%) * -1);
  }
  .u-r-over-50vw-md {
    width: 50vw;
    margin-right: -50vw;
  }
}
@media print, screen and (min-width: 992px) {
  .u-l-over-50vw-lg {
    width: 50vw;
    margin-left: calc((50vw - 50%) * -1);
  }
  .u-r-over-50vw-lg {
    width: 50vw;
    margin-right: -50vw;
  }
}
@media print, screen and (min-width: 1200px) {
  .u-l-over-50vw-xl {
    width: 50vw;
    margin-left: calc((50vw - 50%) * -1);
  }
  .u-r-over-50vw-xl {
    width: 50vw;
    margin-right: -50vw;
  }
}
@media print, screen and (min-width: 1400px) {
  .u-l-over-50vw-xxl {
    width: 50vw;
    margin-left: calc((50vw - 50%) * -1);
  }
  .u-r-over-50vw-xxl {
    width: 50vw;
    margin-right: -50vw;
  }
}

/* ========================================
パーツ
======================================== */
/*---------- アイコン（アイコンフォント想定。大きさはp-*やfs-*、個別にwidth・height指定して調整。） ----------*/
.c-icon {
  aspect-ratio: 1 / 1;
  speak: none;
  display: inline-block;
  vertical-align: bottom;
  line-height: 1;

  --icon-size: 1.5em;
  width: var(--icon-size);
  height: var(--icon-size);
  @media print, screen and (min-width: 576px) {
    --icon-size-sm: var(--icon-size);
    width: var(--icon-size-sm);
    height: var(--icon-size-sm);
  }
  @media print, screen and (min-width: 768px) {
    --icon-size-md: var(--icon-size-sm);
    width: var(--icon-size-md);
    height: var(--icon-size-md);
  }
  @media print, screen and (min-width: 992px) {
    --icon-size-lg: var(--icon-size-md);
    width: var(--icon-size-lg);
    height: var(--icon-size-lg);
  }
  @media print, screen and (min-width: 1200px) {
    --icon-size-xl: var(--icon-size-lg);
    width: var(--icon-size-xl);
    height: var(--icon-size-xl);
  }
  @media print, screen and (min-width: 1400px) {
    --icon-size-xxl: var(--icon-size-xl);
    width: var(--icon-size-xxl);
    height: var(--icon-size-xxl);
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    speak: none;
  }

  &.--cover img {
    object-fit: cover;
  }
}

/*---------- アイコンとテキスト（ボタンによく使う） ----------*/
/* 余白の微調整は「gap-*」 */
.c-icon-text {
  display: grid;
  grid-template-columns: repeat(2, auto);
  column-gap: 0.75em;
  justify-content: center;
  align-items: center;

  /* アイコンだけ右寄せ */
  &.--r {
    grid-template-columns: 1fr auto;
  }
  /* アイコンだけ左寄せ */
  &.--l {
    grid-template-columns: auto 1fr;
  }
}

/*---------- レイアウト ----------*/
/* display: grid;で重ねる */
.l-overlap {
  display: grid;
  > * {
    grid-area: 1 / -1;
  }
}
#tinymce,
.editor_block {
  .l-overlap {
    > * {
      grid-area: unset !important;
      z-index: 1 !important;
      opacity: 1 !important;
    }
  }
}

/* 子要素を中央配置 */
/* 縦 */
.l-v-center {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
/* 縦横中央 */
.l-center {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/*---------- 背景のベース ----------*/
/* 背景画像を敷く場合、
   背景画像に各色のフィルターをかける場合
   疑似要素を配置したいときのベース */
.p-bg {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: relative;
  z-index: 1;
  /* opacity（濃さ）はstyleでCSS変数を書き換える
     ex) style="--bg-opacity: 0.5;" */
  --bg-opacity: 0.3;

  /* 疑似要素のファンデーション */
  &::before,
  &::after {
    content: "";
    display: block;
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border-radius: inherit;
    pointer-events: none;
    speak: none;
    opacity: var(--bg-opacity);
  }
  /* 画像の時 */
  &.--img::before,
  &.--img::after {
    z-index: 1;
  }
  /* グレースケール透明フィルター */
  &.--bl::before {
    background-color: var(--bl);
  }
  &.--def::before {
    background-color: var(--DEF);
  }
  &.--dgry::before {
    background-color: var(--DGRY);
  }
  &.--gry::before {
    background-color: var(--GRY);
  }
  &.--lgry::before {
    background-color: var(--LGRY);
  }
  &.--wh::before {
    background-color: var(--WHT);
  }
  /* メインカラーフィルター */
  &.--main::before {
    background-color: var(--MAIN);
  }
  &.--lmain::before {
    background-color: var(--LMAIN);
  }
  /* アクセントカラーフィルター */
  &.--accent::before {
    background-color: var(--ACC);
  }
  &.--laccent::before {
    background-color: var(--LACC);
  }
  /* 補助色カラーフィルター */
  &.--other::before {
    background-color: var(--OTH);
  }
  &.--lother::before {
    background-color: var(--LOTH);
  }
  /* グラデーションカラーフィルター */
  &.--grad-01::before {
    background: var(--grad-01);
  }
  &.--grad-01-rev::before {
    background: var(--grad-01-rev);
  }
  &.--grad-02::before {
    background: var(--grad-02);
  }
  &.--grad-02-rev::before {
    background: var(--grad-02-rev);
  }
  &.--grad-03::before {
    background: var(--grad-03);
  }
  &.--grad-03-rev::before {
    background: var(--grad-03-rev);
  }

  /* ぼかしフィルター
     強さはstyleでCSS変数を書き換える
     ex) style="--blur: 1em;" */
  &.--blur {
    --blur: 0.5rem;
  }
  &.--blur::after {
    backdrop-filter: blur(var(--blur));
    opacity: 1;
  }

  /* 乗算 */
  &.--multiply::after {
    mix-blend-mode: multiply;
  }
}

.mask-img img, .mask-img video {
    mask-repeat: no-repeat;
    -webkit-mask-image: url(/dcms_media/image/circle-bg.png);
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    -webkit-mask-position: center;
    mask-image: url(/dcms_media/image/circle-bg.png);
    mask-repeat: no-repeat;
    mask-size: contain;
    mask-position: center;
  }

/*---------- ホバーアクション ----------*/
.c-hover {
  transition: var(--transition);
  text-decoration: none;
  &:hover {
    text-decoration: none;
  }
  /* 背景色 */
  &.--bg-bl:hover {
    background-color: var(--bl);
  }
  &.--bg-def:hover {
    background-color: var(--DEF);
  }
  &.--bg-dgry:hover {
    background-color: var(--DGRY);
  }
  &.--bg-gry:hover {
    background-color: var(--GRY);
  }
  &.--bg-lgry:hover {
    background-color: var(--LGRY);
  }
  &.--bg-wh:hover {
    background-color: var(--WHT);
  }
  &.--bg-main:hover {
    background-color: var(--MAIN);
  }
  &.--bg-lmain:hover {
    background-color: var(--LMAIN);
  }
  &.--bg-accent:hover {
    background-color: var(--ACC);
  }
  &.--bg-laccent:hover {
    background-color: var(--LACC);
  }
  &.--bg-other:hover {
    background-color: var(--OTH);
  }
  &.--bg-lother:hover {
    background-color: var(--LOTH);
  }
  /* 動き */
  &.--up,
  .--up {
    --translate-up: -0.125rem;
    transition: var(--transition);
  }
  &.--up:hover,
  &:hover .--up {
    transform: translateY(var(--translate-up));
  }
  &.--down,
  .--down {
    --translate-down: 0.125rem;
    transition: var(--transition);
  }
  &.--down:hover,
  &:hover .--down {
    transform: translateY(var(--translate-down));
  }
  &.--right,
  .--right {
    --translate-right: 0.125rem;
    transition: var(--transition);
  }
  &.--right:hover,
  &:hover .--right {
    transform: translateX(var(--translate-right));
  }
  &.--left,
  .--left {
    --translate-left: -0.125rem;
    transition: var(--transition);
  }
  &.--left:hover,
  &:hover .--left {
    transform: translateX(var(--translate-left));
  }
  &.--scale-up,
  .--scale-up {
    --scale: scale(1.1);
    img {
      transition: var(--transition);
    }
    &:hover img {
      transform: var(--scale);
    }
  }
  /* あしらい */
  &.--underline:hover,
  &:hover .--underline {
    text-decoration: underline;
  }
  &.--opacity,
  .--opacity {
    --opacity: 0.8;
    &:hover {
      opacity: var(--opacity);
      img {
        opacity: var(--opacity);
      }
    }
  }
  /* l-overlapで重ねた要素のうち、ホバーしたら--afterが表示される */
  &.--overlap {
    .--after {
      opacity: 0;
      transition: var(--transition);
    }
    &:hover .--after {
      opacity: 1;
    }
  }
  /* 下線が伸びる */
  &.--bottom-line {
    position: relative;
    padding-bottom: min(0.5em, 5%);
    &::after {
      content: "";
      width: 0%;
      height: 2px;
      background-color: currentColor;
      position: absolute;
      bottom: -1px;
      left: 0;
      transition: 0.3s cubic-bezier(0.42, 0, 0.13, 0.99);
    }
    &:hover::after {
      @media (hover: hover) and (pointer: fine) {
        width: 100%;
      }
    }
  }
  /* 下線が伸びる（子要素の場合） */
  .--bottom-line {
    position: relative;
    padding-bottom: min(0.5em, 5%);
    &::after {
      content: "";
      width: 0%;
      height: 2px;
      background-color: currentColor;
      position: absolute;
      bottom: -1px;
      left: 0;
      transition: 0.3s cubic-bezier(0.42, 0, 0.13, 0.99);
    }
  }
  &:hover .--bottom-line::after {
    @media (hover: hover) and (pointer: fine) {
      width: 100%;
    }
  }
  /* shadowを入れる */
  &.--shadow:hover {
    @media (hover: hover) and (pointer: fine) {
      /* box-shadow: 0 .5em 1em currentColor; */
      box-shadow: 0 0.5em 1em rgb(0 0 0 / 30%);
    }
  }
}

/* ホバーしたら下線が左から順に伸びる
   （display: inline;にする必要があるので注意） */
.c-hover-underline-anime {
  display: inline;
  overflow: hidden;
  background-image: linear-gradient(90deg, currentColor, currentColor);
  background-repeat: no-repeat;
  background-position: bottom 0 left 0;
  background-size: 0 1px;
  transition-duration: 0.3s;
  transition-property: background-size;
}
@media (any-hover: hover) {
  .c-hover-underline-anime:hover,
  a:has(.c-hover-underline-anime):hover .c-hover-underline-anime,
  button:has(.c-hover-underline-anime):hover .c-hover-underline-anime {
    background-size: 100% 1px;
  }
}

/* ==================================
ヘッダー
===================================== */
.lib-header__outer.lib-header-BS02 .lib-induce__btn {
  border-radius: 50px !important;
  flex-direction: row !important;
  padding-left: 10px !important;
  padding-right: 10px !important;
}
.lib-header__outer.lib-header-BS02 .lib-induce__outer {
    gap: 10px;
}
.lib-header__outer.lib-header-BS02 .lib-induce__btn:before, .is-scroll .lib-header__outer.lib-header-BS02 .lib-induce__btn:before {
  margin-right: 5px;
  margin-bottom: 0;
}
@media print, screen and (min-width: 576px) and (max-width: 991.8px) {
  .is-open .lib-header__outer.lib-header-BS01 .lib-nav__panel .lib-induce__outer.js-header__move {
    position: relative;
    right: initial;
    top: initial;
    z-index: 11;
    width: 100%;
    margin-top: 1rem;
  }
}
@media print, screen and (min-width: 992px) {
  .lib-nav__panel:has(.lib-induce__outer) {
    padding-right: inherit;
    padding-top: 70px;
  }
  .lib-header__outer.lib-header-BS02 .lib-induce__outer>li {
    max-width: max-content;
  }
  .lib-header__outer.lib-header-BS02 .lib-induce__outer {
    flex-direction: row;
    height: auto;
    width: auto;
    right: 20px;
    top: 10px;
  }
  /* .is-scroll .lib-nav__panel:has(.lib-induce__outer) {
    padding-right: 290px;
    padding-top: 20px;
  }  */
  .is-scroll .lib-header__outer.lib-header-BS02 .lib-induce__outer {
    height: 45px;
    top: 50%;
    transform: translateY(-50%);
  }
}
@media print, screen and (max-width: 991px) {
  .lib-header__inner.container {
    max-width: none;
  }
}


/* ========================================
フッター
======================================== */
.lib-footer__logo a {
  display: block;
}
.footer-menu li::before {
  content: unset !important;
}
.footer-menu a {
  text-decoration: none;
  font-weight: bold;
}

/* ========================================
common
======================================== */
body {
  overflow: hidden;
  line-height: 1.5;
}
/* border */
[class*="border"].border-main {
    border-color: var(--MAIN) !important;
}
[class*="border"].border-accent {
    border-color: var(--ACC) !important;
}
.w-20 {
  width: 20%;
}

/* btn */
:where(.lib-link__btn).common-btn {
    max-width: none;
    min-width: auto;
    background-color: transparent !important;
    color: var(--DEF) !important;
    display: inline-flex;
    width: auto;
}
:where(.lib-link__btn).common-btn:hover {
    color: var(--MAIN) !important;
}
:where(.lib-link__btn).common-btn .material-symbols-outlined {
  transition: var(--transition);
}
:where(.lib-link__btn).common-btn:hover .material-symbols-outlined {
  background-color: var(--MAIN) !important;
  color: var(--WHT) !important;
  transition: var(--transition);
}

/* ========================================
TOP
======================================== */
/* MV */
#mv-video {
  /* 0.5秒かけてふわっと変化させる設定 */
  transition: opacity 0.5s ease;
  opacity: 1;
}

/* このクラスがついた時にふわっと消える */
#mv-video.is-fadeout {
  opacity: 0;
}
.p-mv {
  margin-top: 100px;
  height: 80vh;
}
.p-mv::before {
  content: "";
  position: absolute;
  top: 2%;
  left: 15%;
  transform: rotate(120deg);
  width: 20%;
  height: 25%;
  background: url(/dcms_media/image/circle-main.png) no-repeat center / contain;
  z-index: -1;
}
.p-mv::after {
  content: "";
  position: absolute;
  bottom: 10%;
  left: -10%;
  width: 30%;
  height: 45%;
  background: url(/dcms_media/image/circle-main.png) no-repeat center / contain;
  z-index: -1;
}
.p-mv .--txt::before {
  content: "";
  position: absolute;
  bottom: -30%;
  right: -30%;
  width: 60%;
  height: 70%;
  background: url(/dcms_media/image/circle-main.png) no-repeat center / contain;
  z-index: -1;
}
.p-mv .mask-img::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: rgba(255, 255, 255, .2);
  
  /* --- 画像と同じマスクを設定 --- */
  -webkit-mask-image: url(/dcms_media/image/circle-bg.png);
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-size: contain;
  -webkit-mask-position: center;
  mask-image: url(/dcms_media/image/circle-bg.png);
  mask-repeat: no-repeat;
  mask-size: contain;
  mask-position: center;
}
.p-mv .mask-img::before {
    content: "";
    position: absolute;
    top: -2%;
    left: -2%;
    width: 100%;
    height: 100%;
    background: url(/dcms_media/image/circle-bg-grad.png) no-repeat center / contain;
}
@media print, screen and (min-width: 992px) {
  .p-mv {
    margin-top: 120px;
  }
  .p-mv .mask-img {
    position: absolute;
    top: 50%;
    right: -20vw;
    transform: translateY(-50%);
    width: 100%;
    height: auto;
    z-index: 1;
  }
}
@media print, screen and (max-width: 991px) {
  .p-mv {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    justify-content: center;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    gap: 2rem;
  }
  .p-mv .mask-img {
    position: relative;
    width: 150%;
  }
  .p-mv .--txt {
    height: auto !important;
  }
}
@media print, screen and (max-width: 767px) {
  .p-mv::before {
    top: -40%;
    width: 50%;
    height: 80%;
  }
  .p-mv .mask-img video {
    width: 110% !important;
    height: 110% !important;
    transform: translateX(-50%);
    left: 50%;
    position: relative;
  }
  .p-mv .mask-img::after {
    width: 110%;
    height: 110%;
    left: 50%;
    transform: translateX(-50%);
  }
  .p-mv .mask-img::before {
    top: -5%;
    left: 49%;
    transform: translateX(-50%);
    width: 115%;
    height: 115%;
  }
}

/* service */
.p-service .--grad-img::before {
    width: 103%;
    bottom: -5%;
    right: -3%;
    border-radius: 2rem !important;
    border-top-left-radius: unset !important;
    border-bottom-left-radius: unset !important;
    z-index: -1;
}

/* strength */
.p-strength .--grad-img::before {
    width: 103%;
    bottom: -5%;
    left: -3%;
    border-radius: 2rem !important;
    border-top-right-radius: unset !important;
    border-bottom-right-radius: unset !important;
    z-index: -1;
}
.p-strength::before {
  content: "";
  position: absolute;
  top: -17%;
  left: 32%;
  width: 30%;
  height: 30%;
  background: url(/dcms_media/image/circle-main.png) no-repeat center / contain;
  z-index: -1;
}
.p-strength::after {
  content: "";
  position: absolute;
  bottom: -50%;
  left: -20%;
  width: 60%;
  height: 75%;
  background: url(/dcms_media/image/circle-main.png) no-repeat center / contain;
  z-index: -1;
}

/* support */
.p-support :where(.lib-indent__list).--dots>li {
  margin-top: 0;
}

/* flow */
.p-flow .flow-inner .col {
  position: relative;
}
.p-flow .flow-inner .col::before {
  position: absolute;
  content: "";
  width: 15px;
  height: 30px;
  background-color: var(--MAIN);
  top: 50%;
  right: -5px;
  transform: translateY(-50%);
  clip-path: polygon(0% 0%, 100% 50%, 0% 100%);
  z-index: 1;
}
.p-flow .flow-inner .col:last-child:before {
  display: none;
}
@media print, screen and (max-width: 767px) {
.p-flow .flow-inner .col::before {
  top: auto;
  bottom: -15px;
  right: 50%;
  transform: translateX(50%);
  width: 30px;
  height: 15px;
  clip-path: polygon(0% 0%, 100% 0%, 50% 100%);
}
}

/* 実績 */
/* Swiperが適用されるまでのレイアウト崩れ防止 */
.p-works .dlb_media_01_area {
  overflow: hidden; /* はみ出しを隠す */
  position: relative;
  padding-bottom: 40px; /* ドット用のスペース */
}
.p-works .media_img {
  margin-bottom: 1rem;
}
.p-works .media_img a {
  display: block;
}
.p-works .media_img img {  
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 16/9;
}
.p-works .media_txt {
  padding: 1rem;
}
.p-works .media_txt a {
  text-decoration: none;
  display: block;
  font-size: 1rem;
}
.p-works .media_txt .catelist {
  position: absolute;
  right: 0;
  top: 0;
}
.p-works time {
  margin-bottom: 1rem;
  display: block;
}
.p-works .media_txt .catelist a {
  background-color: var(--MAIN);
  padding: .5rem 1rem;
  color: var(--WHT);
}
.swiper-pagination {
  text-align: center;
  margin-top: 2rem;
}
.swiper-button-next, .swiper-button-prev {
  transform: translateY(-50%);
}
.swiper-button-next:after, .swiper-rtl .swiper-button-prev:after,
.swiper-button-prev:after, .swiper-rtl .swiper-button-next:after {
  content: 'arrow_back';
  font-family: 'Material Symbols Outlined';
  color: var(--MAIN);
  background-color: var(--WHT);
  border: 1px solid var(--MAIN);
  border-radius: 50px;
  font-size: 2rem;
  padding: .5rem;
}
.swiper-button-next:after, .swiper-rtl .swiper-button-prev:after {
  content: 'arrow_forward';
}
@media screen and (min-width: 768px) {
  .p-works .swiper-wrapper {
      display: flex;
  }
}
@media screen and (min-width: 992px) {
  .swiper-button-prev {
    left: -40px;
  }
  .swiper-button-next {
    right: -40px;
  }
}  
.p-works .media_in.swiper-slide {
  height: auto;
  flex-shrink: 0;
}
/* .p-works .swiper-button-prev { left: 0; }
.p-works .swiper-button-next { right: 0; } */


/* 流れる文字 */
/* 外枠：はみ出しを隠す */
.u-infinite-slider {
  overflow: hidden;
  white-space: nowrap;
  width: 100%;
  padding: 20px 0;
  /* 背景を透過させるなら background は不要 */
}
/* アニメーション：linear（等速）で滑らかに動かす */
.u-infinite-slider__inner {
  display: inline-block;
  white-space: nowrap;
  animation: infinite-scroll 25s linear infinite;
}
/* テキストのスタイル */
.u-infinite-slider__inner span {
  display: inline-block;
  line-height: 1.2;
  padding-right: clamp( 3.125rem, calc( 1.5625rem + 6.25vw ), 6.25rem ); /* 文字と文字の間の隙間 */
  /* --- スマホサイズ (デフォルト) --- */
  font-size: clamp( 6.25rem, calc( 4.6875rem + 6.25vw ), 9.375rem );
}
/* アニメーションの定義 */
@keyframes infinite-scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    /* 2つ並んだテキストの半分まで動いたら 0 に戻る */
    transform: translateX(-50%);
  }
}
/* ユーザーがマウスを乗せた時に止めたい場合（任意） */
.u-infinite-slider:hover .u-infinite-slider__inner {
  animation-play-state: paused;
}

/* メッセージ */
.p-message::before {
  content: "";
  position: absolute;
  top: -20%;
  right: -10%;
  width: 40%;
  height: 45%;
  background: url(/dcms_media/image/circle-gray.png) no-repeat center / contain;
  z-index: -1;
}
.p-message .title::before {
  content: "";
  position: absolute;
  background: url(/dcms_media/image/circle-gray.png) no-repeat center / contain;
  z-index: -1;
  top: -20%;
  left: -10%;
  width: 40%;
  height: 45%;
  z-index: -1;
}
.p-message::after {
  content: "";
  position: absolute;
  bottom: -15%;
  left: 15%;
  width: 60%;
  height: 60%;
  background: url(/dcms_media/image/circle-gray.png) no-repeat center / contain;
  z-index: -1;
}

/* 採用情報 */
.p-recruit .--grad-img::before {
  width: 103%;
  bottom: -5%;
  left: -3%;
  border-radius: 2rem !important;
  border-top-right-radius: unset !important;
  border-bottom-right-radius: unset !important;
  z-index: -1;
}


/* ========================================
CTA
======================================== */
.p-cta::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 50px;
  background-color: var(--WHT);
  border-radius: 0 0 2rem 2rem;
  top: -1px;
  left: 0;
}
.p-cta::after {
  content: "";
  position: absolute;
  bottom: -20%;
  left: -20%;
  width: 60%;
  height: 70%;
  background: url(/dcms_media/image/circle-white.png) no-repeat center / contain;
  z-index: 0;
}
.p-cta .container::before {
  content: "";
  position: absolute;
  top: 20%;
  right: -10%;
  width: 60%;
  height: 90%;
  background: url(/dcms_media/image/circle-white.png) no-repeat center / contain;
  z-index: -1;
}
.max-w-none {
  max-width: none !important;
}

/* ========================================
下層
======================================== */
/* 下層MV */
.pagename_wrap {
  display: none !important;
}
.ls-0 {
  letter-spacing: 0;
}

/* パンくず */
#locator02, #locator {
  margin-top: 120px;
  padding: 10px;
  background-color: var(--LGRY);
}
#locator02 .inner, #locator .inner {
  max-width: calc(1120px + .75rem * 2);
  margin-right: auto;
  margin-left: auto;
  font-size: 0.75rem;
}
#locator02 .inner a, #locator .inner a {
  text-decoration: none;
}

@media print, screen and (max-width: 991px) {
  #locator02, #locator {
    margin-top: 60px;
  }
}

/* strength */
.strength-img .--img {
  position: relative;
}
.strength-img .--img:before {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  border-radius: 2rem;
  background-color: var(--LMAIN);
  top: 0;
  left: 0;
  z-index: -1;
}

/* faq */
.lib-cnt-021__btn:before, .lib-cnt-021__panel:before {
  border-radius: 50px;
  font-weight: 600;
}
.lib-cnt-021__panel:before {
  top: 1rem;
}
.lib-toggle__btn[aria-expanded]>.txt:after {
  display: none;
}
.lib-toggle__btn[aria-expanded]>.txt:before {
  content: "keyboard_arrow_down";
  font-family: 'Material Symbols Outlined';
  color: var(--MAIN);
  border: 2px solid var(--MAIN);
  background-color: transparent;
  border-radius: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 35px;
  height: 35px;
  text-align: center;
  font-size: 1.5rem;
  top: 50%;
  transform: translateY(-50%);
}
.lib-toggle__btn[aria-expanded="true"]>.txt::before {
  content: "keyboard_arrow_up";
}
.lib-cnt-021__btn:hover {
  background-color: transparent !important;
}

/* company */
.p-history-table::before {
  position: absolute;
  content: "";
  background-color: var(--LACC);
  width: 95%;
  height: 100%;
  right: 0;
  top: 0;
  z-index: -1;
  border-radius: 1rem 0 0 1rem;
}
@media print, screen and (max-width: 991px) {
  .p-history-table::before {
    width: 97%;
  }
}
